2.3 files not backwards compatible with 2.2 (Oracle layers)
Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18292

Description

I have a qgs file created with master (3b4edb8). It contains a raster, couple of shapefiles and several Oracle layers.

When I try and open it in 2.2.0, I get the "Handle bad layers" dialog.

Surely the file should be backwards compatible? It works fine in master and it's only a couple of weeks since 2.2.0 came out.

Related issues:

Related to QGIS Application - Feature request # 9636: Oracle provider dialog ... Open 2014-02-24

History

#1 - 2014-03-07 11:03 AM - Jürgen Fischer

- Status changed from Open to Feedback

What layers don't work?  raster, shapefiles or oracle layers?   Anything special about any of them?  Please provide information that helps reproducing the

problem.

#2 - 2014-03-10 05:02 AM - Jonathan Moules

Hi,

Sorry should have been clearer although it is in the ticket title.

The Oracle layers are all giving me the "Handle bad layers" dialog. The raster and shapefiles work fine.

#3 - 2014-03-10 05:18 AM - Jürgen Fischer

not reproducable - anything in the message log?

#4 - 2014-03-10 05:31 AM - Jonathan Moules

Ah, I think I see what the problem is.

For some reason installing 2.3 (from the weeklies) has made 2.2 unable to find the Oracle Provider.

That's why QGIS isn't able to open those files - because there is no Oracle provider available.

So assuming that's the cause, the bug is that the handler is appearing when really there should be an error telling the user that the Oracle provider needs
installing (on that front, probably relate it to #9636).

#5 - 2014-04-16 04:03 AM - Jonathan Moules

This probably should be changed away from "feedback".

#6 - 2014-06-21 03:13 AM - Jürgen Fischer

Is this related to #9634?  I don't see how installing the weekly would interfere with the installed released version.

#7 - 2014-06-21 01:36 PM - Jürgen Fischer

- Category set to Data Provider

#8 - 2014-07-30 06:00 AM - Jonathan Moules

- Status changed from Feedback to Closed

No, This was a different issue. Namely that for whatever reason a a file wasn't backward compatible between Master and 2.2 of a few weeks before.

Probably worth closing now given the period has passed.
